# FoundationClasses
TKernel
NCollection

# NCollection_CellFilter_InspectorXY Struct Reference

`#include <NCollection_CellFilter.hxx>`

## Public Types

typedef gp_XY | Point
| Points type.
enum | { Dimension = 2 }
| Points dimension. More...

## Public Member Functions

Point | Shift (const Point &thePnt, Standard_Real theTol) const
| Auxiliary method to shift point by each coordinate on given value; useful for preparing a points range for Inspect with tolerance.

## Static Public Member Functions

static Standard_Real | Coord (int i, const Point &thePnt)
| Access to co-ordinate.

## Detailed Description

Base class defining part of the Inspector interface for CellFilter algorithm, working with gp_XY points in 2d space

## Member Typedef Documentation

typedef gp_XY NCollection_CellFilter_InspectorXY::Point

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  Dimension |

## Member Function Documentation

static Standard_Real NCollection_CellFilter_InspectorXY::Coord | ( | int | i,
|  | const Point & | thePnt
| ) | `[inline, static]`

Point NCollection_CellFilter_InspectorXY::Shift | ( | const Point & | thePnt,
|  | Standard_Real | theTol
| ) | const`[inline]`

The documentation for this struct was generated from the following file:

- NCollection_CellFilter.hxx